package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

type CentralKitchenForSchoolMenuDb struct {
	Db           *xorm.Engine `json:"db"`
	EnterpriseId int          `json:"enterprise_id"`
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) Set(enterpriseId int) { // set方法
	CentralKitchenForSchoolMenuDb.Db = Db
	CentralKitchenForSchoolMenuDb.EnterpriseId = enterpriseId
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) GetCentralKitchenForSchoolMenu(date string) (m *model.CentralKitchenForSchoolMenu, err error) {
	m = new(model.CentralKitchenForSchoolMenu)
	has, err := CentralKitchenForSchoolMenuDb.Db.Where("enterprise_id =?", CentralKitchenForSchoolMenuDb.EnterpriseId).And("start_date <=? and end_date >= ?", date, date).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) GetCentralKitchenForSchoolMenuById(id int) (m *model.CentralKitchenForSchoolMenu, err error) {
	m = new(model.CentralKitchenForSchoolMenu)
	has, err := CentralKitchenForSchoolMenuDb.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) CentralKitchenForSchoolMenuInsert(m *model.CentralKitchenForSchoolMenu) (int, error) {
	_, err := CentralKitchenForSchoolMenuDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) BatchAddCentralKitchenForSchoolMenus(mm []*model.CentralKitchenForSchoolMenu) (int64, error) {
	affected, err := CentralKitchenForSchoolMenuDb.Db.Insert(mm)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) CentralKitchenForSchoolMenuDeleteById(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return Db.In("id", id).Delete(model.CentralKitchenForSchoolMenu{})
	} else {
		return Db.Where("id = ?", id).Delete(model.CentralKitchenForSchoolMenu{})
	}
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) CentralKitchenForSchoolMenuDelete() (int64, error) {
	return Db.Where("enterprise_id = ?", CentralKitchenForSchoolMenuDb.EnterpriseId).Delete(model.CentralKitchenForSchoolMenu{})
}

func (CentralKitchenForSchoolMenuDb *CentralKitchenForSchoolMenuDb) CentralKitchenForSchoolMenuUpdate(id interface{}, m *model.CentralKitchenForSchoolMenu, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = CentralKitchenForSchoolMenuDb.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = CentralKitchenForSchoolMenuDb.Db.Where("id=?", id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
