package model

type CentralKitchenForSchoolSet struct {
	Id                                 int    `json:"id" xorm:"not null pk autoincr INT"`
	EnterpriseId                       int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT"`
	IsOpenTeacherReportMeal            int    `json:"is_open_teacher_report_meal" xorm:"not null default 1 comment('教师报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenReportMealForDay             int    `json:"is_open_report_meal_for_day" xorm:"not null default 1 comment('开启学生按天报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenReportMealForMonth           int    `json:"is_open_report_meal_for_month" xorm:"not null default 1 comment('开启学生按月报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenReportMealForSemester        int    `json:"is_open_report_meal_for_semester" xorm:"not null default 1 comment('开启学生按学期报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenTeacherReportMealForDay      int    `json:"is_open_teacher_report_meal_for_day" xorm:"not null default 1 comment('开启教师按天报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenTeacherReportMealForMonth    int    `json:"is_open_teacher_report_meal_for_month" xorm:"not null default 1 comment('开启教师按月报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenTeacherReportMealForSemester int    `json:"is_open_teacher_report_meal_for_semester" xorm:"not null default 1 comment('开启教师按学期报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenLimitOrderFood               int    `json:"is_open_limit_order_food" xorm:"not null default 2 comment('是否开启限制订餐(1:开启 2:关闭)') TINYINT(1)"`
	OrderFoodStartDate                 int    `json:"order_food_start_date" xorm:"not null default '1000-01-01' comment('订餐时间-起始时间') DATE"`
	OrderFoodEndDate                   int    `json:"order_food_end_date" xorm:"not null default '1000-01-01' comment('订餐时间-截止时间') DATE"`
	IsOpenLimitTeacherRegister         int    `json:"is_open_limit_teacher_register" xorm:"not null default 2 comment('是否开启教师注册(1:开启 2:关闭)') TINYINT(1)"`
	CreateAt                           string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                           string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
